# Uses of Interface
org.opensaml.soap.wssecurity.BinarySecurityToken

Packages that use BinarySecurityToken
Package
Description
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.

## Uses of BinarySecurityToken in org.opensaml.soap.wssecurity.impl

Classes in org.opensaml.soap.wssecurity.impl that implement BinarySecurityToken
Modifier and Type
Class
Description
`class`
`BinarySecurityTokenImpl`
BinarySecurityTokenImpl.
Methods in org.opensaml.soap.wssecurity.impl that return BinarySecurityToken
Modifier and Type
Method
Description
`BinarySecurityToken`
BinarySecurityTokenBuilder.`buildObject()`
Builds a WS-Security object of the given type.
`BinarySecurityToken`
BinarySecurityTokenBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.